Subject: Re: [Int-area] Start of WGLC for draft-ietf-intarea-gre-ipv6

From: Ronald Bonica <[email-masked]>
Date: Tue, 31 Mar 2015 16:26:25 +0000

Fred,

RFC 2784 doesn't update RFC 2473. This is because RFC 2784 doesn't levy any new requirements upon RFC 2473 implementations. Implementations that were RFC 2473 compliant the day before RFC 2784 was published remained compliant the day after RFC 2784 was published.

Likewise, the current draft doesn't update RFC 2473. This is because the current draft doesn't levy any new requirements upon RFC 2473 implementations. Implementations that are RFC 2473 compliant today will remain compliant the day after the current draft is published.

                                                       Ron

> 
> On an even higher level note, RFC2473 already specifies generic
> encapsulation within IPv6 which implicitly includes GRE. So, if this document
> goes through it needs to say that it updates RFC2473.
> 
> Thanks ? Fred
> [email-masked]
>

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 31 Mar 2015 16:54:17 +0000

Hi Ron,

RFC2784 punts on IPv6. From Section 9:

>   o IPv6 as Delivery and/or Payload Protocol
>
>     This specification describes the intersection of GRE currently
>     deployed by multiple vendors. IPv6 as delivery and/or payload
>     protocol is not included in the currently deployed versions of GRE.

RFC2784 should have cited RFC2473 as the normative reference for
generic encapsulation in IPv6 but didn't. But, that does not mean
that your document should make the same omission.

Thanks - Fred

> -----Original Message-----
> From: Ronald Bonica [mailto:[email-masked]]
> Sent: Tuesday, March 31, 2015 9:26 AM
> To: [email-masked]; [email-masked]; Templin, Fred L
> Cc: Zuniga, Juan Carlos; [email-masked]; [email-masked]
> Subject: Re: [Int-area] Start of WGLC for draft-ietf-intarea-gre-ipv6
> 
> Fred,
> 
> RFC 2784 doesn't update RFC 2473. This is because RFC 2784 doesn't levy any new requirements upon RFC 2473 implementations.
> Implementations that were RFC 2473 compliant the day before RFC 2784 was published remained compliant the day after RFC 2784
> was published.
> 
> Likewise, the current draft doesn't update RFC 2473. This is because the current draft doesn't levy any new requirements upon RFC
> 2473 implementations. Implementations that are RFC 2473 compliant today will remain compliant the day after the current draft is
> published.
> 
>                                                        Ron
> 
> 
> >

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 31 Mar 2015 18:29:50 +0000

Fred,

> On Mar 31, 2015, at 12:54 PM, Templin, Fred L <[email-masked]> wrote:
> 
> Hi Ron,
> 

There is no current reference/citation relationship between RFC2784 and RFC2473. There is also no relevant errata filed http://www.rfc-editor.org/errata_search.php?rfc=2784 <http://www.rfc-editor.org/errata_search.php?rfc=2784> in the 15 years since publishing. There is no document updating either of those RFCs making your “should have” actual.

Ron’s explanation below was clear on why this is so — and why this document does not link to RFC 2473.

Thanks,

— Carlos.

> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

---

From: Ronald Bonica <[email-masked]>
Date: Tue, 31 Mar 2015 18:30:06 +0000

Fred,

If the current document were published tomorrow, would RFC 2473 implementation have to change in order to remain RFC 2473 compliant? If so, how? If not, the current document does not update RFC 2473.

                                         Ron

> From: Templin, Fred L [mailto:[email-masked]]
> Sent: Tuesday, March 31, 2015 12:54 PM
> To: Ronald Bonica; [email-masked]; [email-masked]
> Subject: RE: [Int-area] Start of WGLC for draft-ietf-intarea-gre-ipv6
> 
> Hi Ron,
> 
> RFC2784 should have cited RFC2473 as the normative reference for generic
> encapsulation in IPv6 but didn't. But, that does not mean that your document
> should make the same omission.
> 
> Thanks - Fred
> > RFC 2784 doesn't update RFC 2473. This is because RFC 2784 doesn't levy
> any new requirements upon RFC 2473 implementations.
> > Implementations that were RFC 2473 compliant the day before RFC 2784
> > was published remained compliant the day after RFC 2784 was published.
> >
> > Likewise, the current draft doesn't update RFC 2473. This is because
> > the current draft doesn't levy any new requirements upon RFC
> > 2473 implementations. Implementations that are RFC 2473 compliant
> > today will remain compliant the day after the current draft is published.
> >
> >                                                        Ron
> >
> >
> > >
> > > encapsulation within IPv6 which implicitly includes GRE. So, if this
> > > document goes through it needs to say that it updates RFC2473.
> > >
> > > Thanks ? Fred

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 31 Mar 2015 18:55:23 +0000

Hi Carlos,

As I already said, RFC2784 punts on IPv6; hence, there was no reason for it to
cite RFC2473.

Thanks – Fred

From: Carlos Pignataro (cpignata) [mailto:[email-masked]]
Sent: Tuesday, March 31, 2015 11:30 AM
To: Templin, Fred L
Cc: Ronald P. Bonica; [email-masked]; [email-masked]; [email-masked]; Zuniga, Juan Carlos; [email-masked]
Subject: Re: [Int-area] Start of WGLC for draft-ietf-intarea-gre-ipv6

Fred,

On Mar 31, 2015, at 12:54 PM, Templin, Fred L <[email-masked]<mailto:[email-masked]>> wrote:

Hi Ron,

There is no current reference/citation relationship between RFC2784 and RFC2473. There is also no relevant errata filed http://www.rfc-editor.org/errata_search.php?rfc=2784 in the 15 years since publishing. There is no document updating either of those RFCs making your “should have” actual.

Thanks,

— Carlos.

Thanks - Fred
[email-masked]<mailto:[email-masked]>

-----Original Message-----
From: Ronald Bonica [mailto:[email-masked]]
Sent: Tuesday, March 31, 2015 9:26 AM
To: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Templin, Fred L
Cc: Zuniga, Juan Carlos; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Int-area] Start of WGLC for draft-ietf-intarea-gre-ipv6

Fred,

                                                      Ron

Thanks ? Fred
[email-masked]<mailto:[email-masked]>

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]<mailto:[email-masked]>
Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 31 Mar 2015 18:55:43 +0000

Hi Ron and Carlos,

I will change my "updates RFC2473" to "should cite RFC2473". That
RFC already supports encapsulation of GRE in IPv6 and should be
cited as such.

Thanks - Fred

> To: Templin, Fred L; [email-masked]; [email-masked]
> If the current document were published tomorrow, would RFC 2473 implementation have to change in order to remain RFC 2473
> compliant? If so, how? If not, the current document does not update RFC 2473.
> 
>                                          Ron
> 
>

---

From: Ronald Bonica <[email-masked]>
Date: Tue, 31 Mar 2015 20:04:25 +0000

What value would that citation add?

                        Ron

> Sent: Tuesday, March 31, 2015 2:56 PM
> I will change my "updates RFC2473" to "should cite RFC2473". That RFC
> already supports encapsulation of GRE in IPv6 and should be cited as such.
> 
> Thanks - Fred
> > If the current document were published tomorrow, would RFC 2473
> > implementation have to change in order to remain RFC 2473 compliant? If
> so, how? If not, the current document does not update RFC 2473.
> >
> >                                          Ron
> >
> >
> > > Cc: Zuniga, Juan Carlos; [email-masked];
> > > intarea- [email-masked]
> > > > Cc: Zuniga, Juan Carlos;
> > > > [email-masked];
> > > > [email-masked]
> > > > Implementations that were RFC 2473 compliant the day before RFC
> > > > 2784 was published remained compliant the day after RFC 2784 was
> published.
> > > >
> > > > Likewise, the current draft doesn't update RFC 2473. This is
> > > > because the current draft doesn't levy any new requirements upon
> > > > RFC
> > > > > encapsulation within IPv6 which implicitly includes GRE. So, if
> > > > > this document goes through it needs to say that it updates RFC2473.
> > > > >
> > > > > Thanks ? Fred

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 31 Mar 2015 20:32:16 +0000

Hi Ron,

> Sent: Tuesday, March 31, 2015 1:04 PM

RFC2473 already specifies IPv6 encapsulation, decapsulation, packet size issues
etc. in detail. The RFC2473 text should therefore be cited normatively, and your
document should only say how it is different and why.

Thanks - Fred

---

From: Ronald Bonica <[email-masked]>
Date: Tue, 31 Mar 2015 22:09:05 +0000

Fred,

RFC 2743 specifies a different kind of encapsulation. 

It's clear that we disagree on this point. So, why don't we look to the rest of the WG and defer to their will.

                                                                                                          Ron

> Sent: Tuesday, March 31, 2015 4:32 PM
> RFC2473 already specifies IPv6 encapsulation, decapsulation, packet size
> issues etc. in detail. The RFC2473 text should therefore be cited normatively,
> and your document should only say how it is different and why.
> 
> Thanks - Fred
> > > RFC already supports encapsulation of GRE in IPv6 and should be cited as
> such.
> > >
> > > Thanks - Fred
> > > > > generic encapsulation in IPv6 but didn't. But, that does not
> > > > > mean that your document should make the same omission.
> > > > >
> > > > > Thanks - Fred
> > > > > > because the current draft doesn't levy any new requirements
> > > > > > upon RFC
> > > > > > 2473 implementations. Implementations that are RFC 2473
> > > > > > compliant today will remain compliant the day after the current
> draft is published.
> > > > > >
> > > > > >                                                        Ron
> > > > > >
> > > > > >
> > > > > > >
> > > > > > > On an even higher level note, RFC2473 already specifies
> > > > > > > generic encapsulation within IPv6 which implicitly includes
> > > > > > > GRE. So, if this document goes through it needs to say that it
> updates RFC2473.
> > > > > > >
> > > > > > > Thanks ? Fred

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 31 Mar 2015 22:26:45 +0000

Hi Ron,

RFC2473 tells how to do generic encapsulation in IPv6 in full detail; your
document does not do that. It therefore needs to either give full detail
for such things as hop limit, traffic class, flow label, etc. or (preferably)
cite RFC2473 normatively and explain any differences there may be.

Thanks - Fred

> Sent: Tuesday, March 31, 2015 3:09 PM